import { SimpleLocalIntegration } from '../../core/index.js';
import { BsblanConfigFlow } from './bsblan.classes.configflow.js';
import { createBsblanDiscoveryDescriptor } from './bsblan.discovery.js';
import type { IBsblanConfig } from './bsblan.types.js';
import { bsblanDomain, bsblanProfile } from './bsblan.types.js';

export class BsblanIntegration extends SimpleLocalIntegration<IBsblanConfig> {
  public readonly domain = bsblanDomain;
  public readonly discoveryDescriptor = createBsblanDiscoveryDescriptor();
  public readonly configFlow = new BsblanConfigFlow();

  constructor() {
    super(bsblanProfile);
  }
}

export class HomeAssistantBsblanIntegration extends BsblanIntegration {}
